## ros-foxy-interactive-markers 2.1.3

=== debian/changelog ===
ros-foxy-interactive-markers (2.1.3-1focal) focal; urgency=high

  * Update maintainers (#79 <https://github.com/ros-visualization/interactive_markers/issues/79>)
  * Increase test timeout necessary for Connext (#77 <https://github.com/ros-visualization/interactive_markers/issues/77>)
  * Fix clang warnings (#75 <https://github.com/ros-visualization/interactive_markers/issues/75>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-interactive-markers (2.1.2-1focal) focal; urgency=high

  * Remove explicit template parameter in spin_until_future_complete (#72 <https://github.com/ros-visualization/interactive_markers/issues/72>)
  * Contributors: Sarthak Mittal

 -- William Woodall <william@osrfoundation.org>  Fri, 26 Jun 2020 07:00:00 -0000

ros-foxy-interactive-markers (2.1.1-1focal) focal; urgency=high

  * export targets in a addition to include directories / libraries (#70 <https://github.com/ros-visualization/interactive_markers/issues/70>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-interactive-markers (2.1.0-1focal) focal; urgency=high

  * avoid new deprecations (#69 <https://github.com/ros-visualization/interactive_markers/issues/69>)
  * Merge pull request #60 <https://github.com/ros-visualization/interactive_markers/issues/60> from ros-visualization/revert-58-bsd3clause_fixup
  * Revert "Cleanup bsd 3 clause license usage"
  * Merge pull request #58 <https://github.com/ros-visualization/interactive_markers/issues/58> from ros-visualization/bsd3clause_fixup
  * code style only: wrap after open parenthesis if not in one line (#57 <https://github.com/ros-visualization/interactive_markers/issues/57>)
  * Cleanup bsd 3 clause license usage
  * Contributors: Dirk Thomas, Tully Foote, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-interactive-markers (2.0.1-1focal) focal; urgency=high

  * Fix test flakes by waiting for pub/sub discovery (#55 <https://github.com/ros-visualization/interactive_markers/issues/55>)
  * Add parameters for QoS of update and feedback topics (#54 <https://github.com/ros-visualization/interactive_markers/issues/54>)
  * Port Python implementation to ROS 2 (#53 <https://github.com/ros-visualization/interactive_markers/issues/53>)
    * Move Python files to their own directory
    * Install Python via ament_cmake_python
    * Make Python implementation ROS 2 compatible
    * Use docstrings
    * Minor refactor of callback logic
    * Guard against None values and KeyError's
    * Change insert() signature to take keyword arguments
    * Rename variables for clarity (e.g. 'cb' -> 'callback')
    * Fix PEP 257 errors
    * Remove unused setup.py
    * Enable flake8 tests and fix errors
    * Improve performance
    * Clear pending updates after applying all of them
    * Don't rely on user to apply any pose updates
    * Expose QoSProfile a parameter
    * Add Python implementation dependencies to package.xml
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-interactive-markers (2.0.0-1focal) focal; urgency=high

  * Add missing visibility macros (#51 <https://github.com/ros-visualization/interactive_markers/issues/51>)
  * Less verbose logging (#45 <https://github.com/ros-visualization/interactive_markers/issues/45>)
  * Rename enums to avoid collisions with MSVC compiler defines (#49 <https://github.com/ros-visualization/interactive_markers/issues/49>)
  * Catch polymorphic exceptions by reference (#48 <https://github.com/ros-visualization/interactive_markers/issues/48>)
  * Port to ROS 2 (#44)
    
    Style and other aesthetic changes
    
    Use tf2::BufferCoreInterface
    
    Replace 'init' topic with a ROS service
    
    Merge SingleClient logic into InteractiveMarkerClient
    
    Remove notion of server ID
    
    Add feedback publisher to client
    
    Default to C++14 and set stricter compiler flags
    
    Fix Windows compiler warnings
    
    Remove StateMachine class
    
    Fix Clang warnings
  * Contributors: David Gossow, Jacob Perron, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-interactive-markers (1.11.4-1focal) focal; urgency=high

  * Fixed a crash when updates arrive, or are being processed, while shutdown is called (#36 <https://github.com/ros-visualization/interactive_markers/issues/36>)
  * Contributors: Simon Schmeisser

 -- William Woodall <william@osrfoundation.org>  Mon, 16 Apr 2018 07:00:00 -0000

ros-foxy-interactive-markers (1.11.3-1focal) focal; urgency=high

  * The ``processFeedback`` function of the menu handler no longer catches the ``KeyErrors`` of the feedback_cb.
    See: #29 <https://github.com/ros-visualization/interactive_markers/issues/29>
  * Added the ``empty()`` and ``size()`` members to ``InteractiveMarkerServer`` interface.
    See: #30 <https://github.com/ros-visualization/interactive_markers/issues/30>
  * Contributors: Blake Anderson, Guglielmo Gemignani

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Aug 2016 07:00:00 -0000

ros-foxy-interactive-markers (1.11.2-1focal) focal; urgency=high

  * Fix build when disabling tests with ``-DCATKIN_ENABLE_TESTING=OFF``.
    See: #26 <https://github.com/ros-visualization/interactive_markers/issues/26>
  * Fix use of uninitialized variables.
    See: #24 <https://github.com/ros-visualization/interactive_markers/issues/24>
  * Fix potential segfault when shutting down.
    See: #25 <https://github.com/ros-visualization/interactive_markers/issues/25>
  * Contributors: Alexis Ballier, David Gossow, Max Schwarz

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Aug 2016 07:00:00 -0000

ros-foxy-interactive-markers (1.11.1-1focal) focal; urgency=high


