=== debian/control ===
Source: ros-foxy-interactive-markers
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-python, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rmw, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-foxy-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-rmw, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: 3D interactive marker communication library for RViz and similar tools.
